メインコンテンツへスキップ
POST
/
poweredby
/
connection
/
edit
/
{connectionId}
Edit Connection
curl --request POST \
  --url https://cloud.cdata.com/api/poweredby/connection/edit/{connectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirectURL": "https://www.google.com"
}
'
{
  "redirectURL": "https://cloud.cdata.com/oem/user/connections/edit/eeef6211-5d6f-4347-b5bb-f99d574e75e5?driver=MailChimp&token=eyJhbGciOiJSUzI1NiIsImtpZCI6IlNJdTlCdjVjWU1HMDRMYW84YXh3T0E2Nlk5UVlBV0dQd05YeTA5Q1hlY3MiLCJ0eXAiOiJKV1QifQ.eyJzdWIiOiJmZWUxY2U5ZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJ0b2tlblR5cGUiOiJwb3dlcmVkLWJ5Iiwib2VtQWRtaW5BY2NvdW50SWQiOiJkZWUxZmVlZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJmbG93VHlwZSI6InVwZGF0ZUNvbm5lY3Rpb24iLCJhY2NvdW50SWQiOiJmZWUxY2U5ZC1jNDBjLTRlZjYtOGY4Yy03NzQ2MTMxNTcxM2QiLCJodHRwczovL2Nsb3VkLmNkYXRhLmNvbS9jbGFpbXMvYWNjb3VudF9uYW1lIjoiQ0RhdGFCU0VDaGlsZCIsImh0dHBzOi8vY2xvdWQuY2RhdGEuY29tL2NsYWltcy91c2VyX3R5cGUiOiIwIiwiaHR0cHM6Ly9jbG91ZC5jZGF0YS5jb20vY2xhaW1zL3VzZXJfaWQiOiI0YmJiYmJiYi0zYzVjLTU2ZjgtYWFlNC1iOTg3ZDhlYTM5N2EiLCJuYW1lIjoiU2VydmljZSBVc2VyIiwiZW1haWwiOiJzZXJ2aWNlQWNjY291bnRAZmFrZS5jb20iLCJjb25uZWN0aW9uSWQiOiJlZWVmNjIxMS01ZDZmLTQzNDctYjViYi1mOTlkNTc0ZTc1ZTUiLCJuYmYiOjE3MjExNTQ2MTUsImV4cCI6MTcyMTE1NDc5NSwiaXNzIjoiY2RhdGEuY29ubmVjdC5hY2NvdW50c2VydmljZSIsImF1ZCI6ImNkYXRhLmNvbm5lY3Qub2VtIn0.JHkjo7tMBrwfoYRrPLUMXoW08Na6CU4EeZS374qvoaO5VGcUef5yyCssC49ca6lIH6DDXgb0a039XPPfIvj9ezqeeVPAt1iJo2TahUTilWwnNeFpkJ8Nh12X29yquzrWJFUYPhDdCKgHpaV0yPqHTZ0V5k8DoDIcTWFtA5xExo9_alpAmfYeIggtu_6pmlRbRWJHRpTWvSiadAzwWeDdMyGlwPjuDE06GjTIByelbH2fpYehlGedh7rganCxNLyjhtuKWlv7VqCQh2S6NOpAXFRgl6Fqy6byp9oIhyb3HeuWptvTig_YClN4_EP0Moq1lHV2v2LE-PBj6ixPoI0i-w&redirectUrl=https%3A%2F%2Fwww.google.com"
}
Edit Connection returns a string containing the CData-hosted URL to redirect the user to. A successful Edit Connection has the following flow:
1
A successful Edit Connection request generates a URL to the CData-hosted Edit Connection page. The redirectURL in the request body maps to the Return to button on the Edit Connection page.
2
The user clicks Save & Test. The internal API response includes connection details to the CData-hosted Edit Connection page.
3
The user clicks Return to. The connection information is appended to the redirect URL as parameters. The parameters include the following:
  • cdata_connection_id–the connection unique Id.
  • cdata_connection_name–the connection name, such as Salesforce1.
  • cdata_connection_status–the connection status. Values include success, error (connection error), or none (no connection made).
Example 1: URL after successful Save & Test:
https://www.google.com/?cdata_connection_id=da77460c-7438-4288-be66-ea0059c160ae&cdata_connection_name=OData1&cdata_connection_status=success&zx=1773244250880&no_sw_cr=1
Example 2: URL if the user clicks Return to and does not Save & Test:
https://www.google.com/?cdata_connection_status=none&zx=1773252769892&no_sw_cr=1
Example 3: URL after save and unsuccessful test:
https://www.google.com/?cdata_connection_id=507b42e8-94b1-488e-a1d8-5a62d5d74a31&cdata_connection_name=Salesforce1&cdata_connection_status=error&zx=1773252951878&no_sw_cr=1

承認

Authorization
string
header
必須

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.

パスパラメータ

connectionId
string
必須

The connection Id created in Create Connection.

ボディ

application/json
redirectURL
string
必須

The URL to redirect the customer once the customer has edited the connection through the Connect AI UI. This URL maps to the Return to button on the Edit Connection page in the Connect AI UI.

レスポンス

200 - application/json

A string containing the CData-hosted connection URL to redirect the user to.

redirectURL
string
必須

A string containing the CData-hosted connection URL to redirect the user to.